%define languageenglazy Romanian
%define languagecode    ro
%define lc_ctype        ro_RO

Name:           hunspell-%{languagecode}
Version:        3.3.10
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://rospell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/rospell/ro_RO.%{version}.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ro
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p ro_RO.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ro_RO.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING.GPL COPYING.LGPL COPYING.MPL README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.3.10-4.mga9
+ Revision: 1807998
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.3.10-3.mga8
+ Revision: 1501673
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.3.10-2.mga7
+ Revision: 1278851
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 3.3.10-1.mga7
+ Revision: 1213771
- Update to version 3.3.10

* Fri Feb 05 2016 umeabot <umeabot> 3.3.7-6.mga6
+ Revision: 936551
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3.7-5.mga5
+ Revision: 751027
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.7-4.mga5
+ Revision: 680295
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 3.3.7-3.mga4
+ Revision: 505772
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.3.7-2.mga3
+ Revision: 353669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 3.3.7-1.mga3
+ Revision: 344437
- sync version with Fedora: 3.3.7
- update %%files

* Tue Mar 20 2012 kamil <kamil> 3.3.6-5.mga2
+ Revision: 224807
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 3.3.6-4.mga2
+ Revision: 209061
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 3.3.6-3.mga2
+ Revision: 206317
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 3.3.6-2.mga1
+ Revision: 69049
- imported package hunspell-ro


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Caolan McNamara <caolanm@redhat.com> - 3.3.6-1
- latest version

* Tue May 11 2010 Caolan McNamara <caolanm@redhat.com> - 3.3.4-1
- latest version

* Mon Nov 16 2009 Caolan McNamara <caolanm@redhat.com> - 3.3-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 20 2006 Caolan McNamara <caolanm@redhat.com> - 3.2-1
- initial version
